CellFormat

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.format
Interface CellFormat

All Known Subinterfaces:
  CellFormat

All Known Implementing Classes:
  jxl.write.biff.CellXFRecord, WritableCellFormat, jxl.biff.XFRecord

    public interface CellFormat

Interface for cell formats

Method Summary
`Alignment` | `getAlignment()` Gets the horizontal cell alignment
`Colour` | `getBackgroundColour()` Gets the background colour used by this cell
`BorderLineStyle` | `getBorder(Border border)` Gets the line style for the given cell border If a border type of ALL or NONE is specified, then a line style of NONE is returned
`Colour` | `getBorderColour(Border border)` Gets the colour for the given cell border If a border type of ALL or NONE is specified, then a line style of NONE is returned If the specified cell does not have an associated line style, then the colour the line would be is still returned
`BorderLineStyle` | `getBorderLine(Border border)` Gets the line style for the given cell border If a border type of ALL or NONE is specified, then a line style of NONE is returned
`Font` | `getFont()` Gets the font information used by this format
`Format` | `getFormat()` Gets the format used by this format
`int` | `getIndentation()` Gets the indentation of the cell text
`Orientation` | `getOrientation()` Gets the orientation
`Pattern` | `getPattern()` Gets the pattern used by this cell format
`VerticalAlignment` | `getVerticalAlignment()` Gets the vertical cell alignment
`boolean` | `getWrap()` Gets whether or not the contents of this cell are wrapped
`boolean` | `hasBorders()` Determines if this cell format has any borders at all.
`boolean` | `isLocked()` Accessor for whether a particular cell is locked
`boolean` | `isShrinkToFit()` Gets the shrink to fit flag

Method Detail

### getFormat

    Format getFormat()

  Gets the format used by this format

  Returns:
    the format

### getFont

    Font getFont()

  Gets the font information used by this format

  Returns:
    the font

### getWrap

    boolean getWrap()

  Gets whether or not the contents of this cell are wrapped

  Returns:
    TRUE if this cell's contents are wrapped, FALSE otherwise

### getAlignment

    Alignment getAlignment()

  Gets the horizontal cell alignment

  Returns:
    the alignment

### getVerticalAlignment

    VerticalAlignment getVerticalAlignment()

  Gets the vertical cell alignment

  Returns:
    the alignment

### getOrientation

    Orientation getOrientation()

  Gets the orientation

  Returns:
    the orientation

### getBorder

    BorderLineStyle getBorder(Border border)

  Gets the line style for the given cell border If a border type of ALL or NONE is specified, then a line style of NONE is returned

  Parameters:
    `border` - the cell border we are interested in
  Returns:
    the line style of the specified border

### getBorderLine

    BorderLineStyle getBorderLine(Border border)

  Gets the line style for the given cell border If a border type of ALL or NONE is specified, then a line style of NONE is returned

  Parameters:
    `border` - the cell border we are interested in
  Returns:
    the line style of the specified border

### getBorderColour

    Colour getBorderColour(Border border)

  Gets the colour for the given cell border If a border type of ALL or NONE is specified, then a line style of NONE is returned If the specified cell does not have an associated line style, then the colour the line would be is still returned

  Parameters:
    `border` - the cell border we are interested in
  Returns:
    the line style of the specified border

### hasBorders

    boolean hasBorders()

  Determines if this cell format has any borders at all. Used to set the new borders when merging a group of cells

  Returns:
    TRUE if this cell has any borders, FALSE otherwise

### getBackgroundColour

    Colour getBackgroundColour()

  Gets the background colour used by this cell

  Returns:
    the foreground colour

### getPattern

    Pattern getPattern()

  Gets the pattern used by this cell format

  Returns:
    the background pattern

### getIndentation

    int getIndentation()

  Gets the indentation of the cell text

  Returns:
    the indentation

### isShrinkToFit

    boolean isShrinkToFit()

  Gets the shrink to fit flag

  Returns:
    TRUE if this format is shrink to fit, FALSE otherise

### isLocked

    boolean isLocked()

  Accessor for whether a particular cell is locked

  Returns:
    TRUE if this cell is locked, FALSE otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD